<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css">
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <ul>
      <!--
        - para acessar o índice do v-for, usa-se a sintaxe na diretiva do v-for:
        "(elem_no_laço, indice) in nomeLista"
        necessariamente nessa ordem
      -->
      <li v-for="(cor, i) in cores">{{ i + 1 }}) Índice {{ i }} no array - {{ cor }}</li>
    </ul>
  </div>
  <script src="app.js"></script>
</body>

</html>